package cn.cslg.pas.common.model.dto.report;

import cn.cslg.pas.domain.*;

import java.util.List;

/**
 * @author Coding.lu
 * @version V1.0
 * @Package com.shouyue.api.model.report
 * @date 2021/12/27 上午1:38
 */
public class ParameModel {

    List<PatentApplicantLink> allApplicant;
    List<PatentAffair> allAffair;
    List<PatentInventor> allInventor;
    List<PatentInventorLink> allInventorRelation;
    List<PatentLicensor> allLicensorRelation;



    public List<PatentApplicantLink> getAllApplicant() {
        return allApplicant;
    }

    public void setAllApplicant(List<PatentApplicantLink> allApplicant) {
        this.allApplicant = allApplicant;
    }



    public List<PatentAffair> getAllAffair() {
        return allAffair;
    }

    public void setAllAffair(List<PatentAffair> allAffair) {
        this.allAffair = allAffair;
    }

    public List<PatentInventor> getAllInventor() {
        return allInventor;
    }

    public void setAllInventor(List<PatentInventor> allInventor) {
        this.allInventor = allInventor;
    }

    public List<PatentInventorLink> getAllInventorRelation() {
        return allInventorRelation;
    }

    public void setAllInventorRelation(List<PatentInventorLink> allInventorRelation) {
        this.allInventorRelation = allInventorRelation;
    }

    public List<PatentLicensor> getAllLicensorRelation() {
        return allLicensorRelation;
    }

    public void setAllLicensorRelation(List<PatentLicensor> allLicensorRelation) {
        this.allLicensorRelation = allLicensorRelation;
    }
}
